/*
   netrik -- The ANTRIK Internet Viewer
   Copyright (C) Olaf D. Buddenhagen AKA antrik, et al (see AUTHORS)
   Published under the GNU GPL; see LICENSE for details.
*/
/*
 * forms.h -- declares form handling functions in forms.c, and data structures
 * needed
 *
 * (C) 2002 antrik
 */
#include "layout.h"    /* for page structure */

void set_form(const struct String *string, const struct Link *link);    /* write form element value into string */
void update_form(const struct Page *page, int link_num);    /* update form element rendering */

struct Item *get_form_item(const struct Page *page, int link_num);    /* get form item containing link */

struct Form_handle {
   int			filter;    /* only return "successful" form elements */

   const struct Item	*form_item;
   struct Item		*cur_item;
   int			cur_link;
};

struct Form_handle form_start(const struct Item *form, int filter);    /* prepare a handle for form_next() */
struct Link *form_next(struct Form_handle *handle);    /* retrieve form elements (one at a time) */
